[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# RegisterConnection

Register a new connection type for use in the universal connector

## Declaration

Source position: sqldb.pp line 826

`procedure RegisterConnection(`
`Def: TConnectionDefClass`
`);`

## Arguments

`Def` |  | The connection type definition to register.

## Description

RegisterConnection must be called with a class pointer to a TConnectionDef descendent to register the connection type described in the TConnectionDef descendent. The connection type is registered with the name as returned by TConnectionDef.TypeName.

The various connection types distributed by Free Pascal automatically call RegisterConnection from the initialization section of their unit, so simply including the unit with a particular connection type is enough to register it.

Connection types registered with this call can be unregistered with UnRegisterConnection.

## Errors

if Def is Nil, access violations will occur.

## See also

TConnectionDef |  | Connection type definition class
UnRegisterConnection |  | Unregister a registered connection type